MWAWFont::Script Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MWAWFont::Script Struct Reference

a small struct to define the script position in MWAWFont More...

`#include <MWAWFont.hxx>`

## Public Member Functions
| Script (float delta=0, librevenge::RVNGUnit deltaUnit=librevenge::RVNG_PERCENT, int scale=100)
| constructor More...
bool | isSet () const
| return true if the position is not default More...
std::string | str (float fSize) const
| return a string which correspond to style:text-position More...
bool | operator== (Script const &oth) const
| operator== More...
bool | operator!= (Script const &oth) const
| operator!= More...
bool | operator< (Script const &oth) const
| operator< More...
bool | operator<= (Script const &oth) const
| operator<= More...
bool | operator> (Script const &oth) const
| operator> More...
bool | operator>= (Script const &oth) const
| operator>= More...
int | cmp (Script const &oth) const
| small comparison function More...

## Static Public Member Functions
static Script | sub ()
| return a yposition which correspond to a basic subscript More...
static Script | sub100 ()
| return a yposition which correspond to a basic subscript100 More...
static Script | super ()
| return a yposition which correspond to a basic superscript More...
static Script | super100 ()
| return a yposition which correspond to a basic superscript100 More...

## Public Attributes
float | m_delta
| the ydelta More...
librevenge::RVNGUnit | m_deltaUnit
| the ydelta unit ( point or percent ) More...
int | m_scale
| the font scaling ( in percent ) More...

## Detailed Description

a small struct to define the script position in MWAWFont

## Constructor & Destructor Documentation

## ◆ Script()

MWAWFont::Script::Script | ( | float | delta = `0`,
|  | librevenge::RVNGUnit | deltaUnit = `librevenge::RVNG_PERCENT`,
|  | int | scale = `100`
| ) |  |
| inlineexplicit

constructor

Referenced by isSet(), sub(), sub100(), super(), and super100().

## Member Function Documentation

## ◆ cmp()

int MWAWFont::Script::cmp | ( | Script const & | oth | ) | const
| inline

small comparison function

Referenced by MWAWFont::cmp(), operator!=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## ◆ isSet()

bool MWAWFont::Script::isSet | ( |  | ) | const
| inline

return true if the position is not default

## ◆ operator!=()

bool MWAWFont::Script::operator!= | ( | Script const & | oth | ) | const
| inline

operator!=

## ◆ operator<()

bool MWAWFont::Script::operator< | ( | Script const & | oth | ) | const
| inline

operator<

## ◆ operator<=()

bool MWAWFont::Script::operator<= | ( | Script const & | oth | ) | const
| inline

operator<=

## ◆ operator==()

bool MWAWFont::Script::operator== | ( | Script const & | oth | ) | const
| inline

operator==

## ◆ operator>()

bool MWAWFont::Script::operator> | ( | Script const & | oth | ) | const
| inline

operator>

## ◆ operator>=()

bool MWAWFont::Script::operator>= | ( | Script const & | oth | ) | const
| inline

operator>=

## ◆ str()

std::string MWAWFont::Script::str | ( | float | fSize | ) | const

return a string which correspond to style:text-position

## ◆ sub()

static Script MWAWFont::Script::sub | ( |  | ) |
| inlinestatic

return a yposition which correspond to a basic subscript

Referenced by BeagleWksTextInternal::Font::getFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), and NisusWrtText::readFonts().

## ◆ sub100()

static Script MWAWFont::Script::sub100 | ( |  | ) |
| inlinestatic

return a yposition which correspond to a basic subscript100

Referenced by RagTimeText::readCharProperties(), HanMacWrdKText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), MsWrd1Parser::readFont(), WordMakerParser::readFont(), MsWks3Text::readFont(), GreatWksText::readFont(), MsWksGraph::readFont(), HanMacWrdJText::readFont(), MsWks4Text::readFont(), ClarisWksStyleManager::readFontAndPos(), WriterPlsParser::readFonts(), MindWrtParser::readFonts(), RagTimeText::readFonts(), MacDrawProStyleManager::readFontStyles(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readSpreadsheetCellV2(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), StudentWritingCParser::sendText(), and FullWrtTextInternal::Font::update().

## ◆ super()

static Script MWAWFont::Script::super | ( |  | ) |
| inlinestatic

return a yposition which correspond to a basic superscript

Referenced by BeagleWksTextInternal::Font::getFont(), HanMacWrdKText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), HanMacWrdJText::readFont(), MacWrtProStructures::readFont(), LightWayTxtText::readFont2(), ClarisWksStyleManager::readFontAndPos(), NisusWrtText::readFonts(), and MacDraft5Parser::sendText().

## ◆ super100()

static Script MWAWFont::Script::super100 | ( |  | ) |
| inlinestatic

return a yposition which correspond to a basic superscript100

Referenced by RagTimeText::readCharProperties(), HanMacWrdKText::readFont(), ClarisDrawText::readFont(), ClarisWksStyleManager::readFont(), MsWrd1Parser::readFont(), WordMakerParser::readFont(), MsWks3Text::readFont(), GreatWksText::readFont(), MsWksGraph::readFont(), HanMacWrdJText::readFont(), MsWks4Text::readFont(), ClarisWksStyleManager::readFontAndPos(), WriterPlsParser::readFonts(), MindWrtParser::readFonts(), RagTimeText::readFonts(), MacDrawProStyleManager::readFontStyles(), MacWrtParser::readInformations(), RagTimeSpreadsheet::readSpreadsheetCellV2(), GreatWksSSParser::readStyles(), MsWksTable::readTable(), MacWrtParser::readText(), WriteNowText::send(), GreatWksText::sendSimpleTextbox(), StudentWritingCParser::sendText(), and FullWrtTextInternal::Font::update().

## Member Data Documentation

## ◆ m_delta

float MWAWFont::Script::m_delta

the ydelta

Referenced by cmp().

## ◆ m_deltaUnit

librevenge::RVNGUnit MWAWFont::Script::m_deltaUnit

the ydelta unit ( point or percent )

Referenced by cmp().

## ◆ m_scale

int MWAWFont::Script::m_scale

the font scaling ( in percent )

Referenced by cmp().

The documentation for this struct was generated from the following files:

- MWAWFont.hxx
- MWAWFont.cxx